# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::Dae::Node Struct Reference

COLLADA node. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Node:

List of all members.

## Public Member Functions

| Node ()

## Public Attributes

ref< Transform > | mTransform
std::vector< ref< Dae::Node > > | mChildren
std::vector< ref< Dae::Mesh > > | mMesh
std::vector< ref< Actor > > | mActors

## Detailed Description

COLLADA node.

Definition at line 283 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Node::Node | ( | ) | `[inline]`

Definition at line 285 of file DaeHelpers.hpp.

References mTransform.

## Member Data Documentation

ref<Transform> vl::Dae::Node::mTransform

Definition at line 290 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::bindMaterials(), Node(), and vl::DaeLoader::parseNode().

std::vector< ref<Dae::Node> > vl::Dae::Node::mChildren

Definition at line 291 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::parseNode().

std::vector< ref<Dae::Mesh> > vl::Dae::Node::mMesh

Definition at line 292 of file DaeHelpers.hpp.

std::vector< ref<Actor> > vl::Dae::Node::mActors

Definition at line 293 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::bindMaterials().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.